Author Topic: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)  (Read 31993 times)

0 Members and 1 Guest are viewing this topic.

Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Total conversions appear to work fine.

 
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Hello,

Just bought Freespace 2 to play for the first time and wanted to try out the graphical improvements. I'm trying to use this Knossos installer but at the point during the setup where it's asking where my Freespace 2 retail game is installed I'm getting the following error message when I confirm its location:
"A critical error occurred! Knossos might not work correctly until you restart it. The error has been reported and will hopefully be fixed soon."

Knossos can see where it is but it's not working. When I restart Knossos and try to install any of the mods a separate box headed "Retail data missing" appears. Again it can see the folder but it doesn't want to install it. If I try to select any of the .exe files it brings up the same error message "A critical error occurred! Knossos might not work correctly until you restart it. The error has been reported and will hopefully be fixed soon."

Any ideas? When I initially installed Knossos my Norton anti-virus got jittery about it but I instructed it to leave well alone. I'm using the Gog version of the game and I'm on Windows 10 if that helps.


 

Offline jr2

  • The Mail Man
  • 212
  • It's prounounced jayartoo 0x6A7232
    • Steam
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Where is your GOG FreeSpace installed to?  Wondering if it's permissions?  Eh, someone who knows more will be along shortly, don't worry.  ;)

 

Offline niffiwan

  • 211
  • Eluder Class
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
IIRC ngld said there's a bug in the 0.13.x versions that'll be fixed soon. In the meantime you can try installing 0.12.4, install FS2 retail, then upgrade to 0.13.x.
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
IIRC ngld said there's a bug in the 0.13.x versions that'll be fixed soon. In the meantime you can try installing 0.12.4, install FS2 retail, then upgrade to 0.13.x.

Thanks! Using the earlier version seemed to have worked!

 

Offline ksotar

  • 26
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
IIRC ngld said there's a bug in the 0.13.x versions that'll be fixed soon. In the meantime you can try installing 0.12.4, install FS2 retail, then upgrade to 0.13.x.

Where to get old one?

UPD here https://github.com/ngld/knossos/releases

 

Offline oljo

  • 23
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Hello, i get this error on xubuntu 18.04.1 when i launch knossos "I don't know how to handle "override_dh_link" i only know fso://

What to do?

 
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Tearing my thinning hair out here.

Cannot get any mods working. Please look at attached image for sequence of events.

GTX1060 6Gb + 16Gb RAM. Windows 10 Home. Intel 7700HQ

Any ideas what this is or I'm doing wrong? Please help.

 

Offline niffiwan

  • 211
  • Eluder Class
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Hello, i get this error on xubuntu 18.04.1 when i launch knossos "I don't know how to handle "override_dh_link" i only know fso://

What to do?

You can modify /usr/bin/knossos & remove "override_dh_link" from the file and (for me at least) it'll work as expected.

Or if you don't want to modify the file, just run this from a terminal:
Code: [Select]
python3 /usr/share/knossos/knossos/__main__.py
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 

Offline niffiwan

  • 211
  • Eluder Class
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Tearing my thinning hair out here.

Cannot get any mods working. Please look at attached image for sequence of events.

GTX1060 6Gb + 16Gb RAM. Windows 10 Home. Intel 7700HQ

Any ideas what this is or I'm doing wrong? Please help.

Assuming this is occurring on the latest version (0.13.2) then try this:

IIRC ngld said there's a bug in the 0.13.x versions that'll be fixed soon. In the meantime you can try installing 0.12.4, install FS2 retail, then upgrade to 0.13.x.

You could also see if Diaspora will install & run ok as it doesn't require the FS2 retail install.
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Linux OBS Packages: FSO 3.7.0 | FSO BP Build | wxLauncher (?) | PCS2 (?) | wxVPView (?)
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...

 

Offline ngld

  • 29
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Knossos 0.13.3 has been released, it fixes both the critical error message when trying to install retail data as well as the override_dh_link issue on Ubuntu (and derivates).

Sorry about the delay.

  

Offline oljo

  • 23
Re: PUBLIC BETA: Knossos 0.13.2 (combined launcher/installer)
Hello, i get this error on xubuntu 18.04.1 when i launch knossos "I don't know how to handle "override_dh_link" i only know fso://

What to do?

You can modify /usr/bin/knossos & remove "override_dh_link" from the file and (for me at least) it'll work as expected.

Or if you don't want to modify the file, just run this from a terminal:
Code: [Select]
python3 /usr/share/knossos/knossos/__main__.py


Thanks! will try it